[pkg-fso-commits] [SCM] Automatic Display Manager branch, master, updated. debian/0.6-1-18-g5cc4b68

Joachim Breitner mail at joachim-breitner.de
Sat Feb 12 04:52:02 UTC 2011


The following commit has been merged in the master branch:
commit 4156de2dd66d9c3a2d1f9f5320546c251f171b06
Author: Marco Amadori <amadorim at vdavda.com>
Date:   Fri Feb 11 11:21:09 2011 +0100

    Removed mixed tab and spaces in debian scripts.

diff --git a/debian/nodm.config b/debian/nodm.config
index 0c20a8e..6c40b5f 100644
--- a/debian/nodm.config
+++ b/debian/nodm.config
@@ -68,10 +68,10 @@ if [ "x$START" = "xtrue" ] ; then
 	db_go
 
 	db_input low nodm/first_vt || true
-        db_go
+	db_go
 
-        db_input low nodm/x_options || true
-        db_go
+	db_input low nodm/x_options || true
+	db_go
 
 	db_input low nodm/min_session_time || true
 	db_go
diff --git a/debian/nodm.init b/debian/nodm.init
index 53b2d00..1b8bb6e 100644
--- a/debian/nodm.init
+++ b/debian/nodm.init
@@ -48,30 +48,30 @@ export NODM_XINIT NODM_XSESSION NODM_X_OPTIONS NODM_USER NODM_MIN_SESSION_TIME N
 
 
 case "$1" in
-    start)
-        [ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
-    	if [ "$NODM_ENABLED" = "no" ] || [ "$NODM_ENABLED" = "false" ]
-	then
-		log_warning_msg "Not starting $NAME because NODM_ENABLED is '$NODM_ENABLED' in /etc/default/$NAME"
-	else
-		start-stop-daemon --start --oknodo --pidfile ${PIDFILE} --make-pidfile --background --exec /usr/sbin/nodm
-	fi
-        [ "$VERBOSE" != no ] && log_end_msg $?
-        ;;
-    stop)
-        [ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
-        start-stop-daemon --stop --pidfile ${PIDFILE} --oknodo
-	rm -f ${PIDFILE}
-        [ "$VERBOSE" != no ] && log_end_msg $?
-        ;;
-    restart|force-reload)
-        $0 stop
-        $0 start
-        ;;
-    *)
-        log_success_msg "Usage: $0 {start|stop|restart|force-reload}" >&2
-        exit 1
-        ;;
+	start)
+		[ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
+		if [ "$NODM_ENABLED" = "no" ] || [ "$NODM_ENABLED" = "false" ]
+		then
+			log_warning_msg "Not starting $NAME because NODM_ENABLED is '$NODM_ENABLED' in /etc/default/$NAME"
+		else
+			start-stop-daemon --start --oknodo --pidfile ${PIDFILE} --make-pidfile --background --exec /usr/sbin/nodm
+		fi
+		[ "$VERBOSE" != no ] && log_end_msg $?
+		;;
+	stop)
+		[ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
+		start-stop-daemon --stop --pidfile ${PIDFILE} --oknodo
+		rm -f ${PIDFILE}
+		[ "$VERBOSE" != no ] && log_end_msg $?
+		;;
+	restart|force-reload)
+		$0 stop
+		$0 start
+		;;
+	*)
+		log_success_msg "Usage: $0 {start|stop|restart|force-reload}" >&2
+		exit 1
+		;;
 esac
 
 
diff --git a/debian/nodm.postinst b/debian/nodm.postinst
index 5452ebe..9ec548e 100644
--- a/debian/nodm.postinst
+++ b/debian/nodm.postinst
@@ -6,53 +6,53 @@ set -e
 . /usr/share/debconf/confmodule
 
 if [ "$1" = "configure" ] ; then
-    if [ -n "$2" ] && dpkg --compare-versions "$2" lt "0.2"; then
-	# Before version 0.2, nodm was only used on the OpenMoko.  To
-	# guarantee a smooth upgrade, we can safely override debconf here
-	# using the openmoko parameters.
-	db_set nodm/enabled true
-	db_set nodm/first_vt "3"
-	db_set nodm/x_options "-nolisten tcp"
-    fi
-    if [ -n "$2" ] && dpkg --compare-versions "$2" lt "0.5"; then
-	# Add the NODM_FIRST_VT entry to the config file if it is missing
-	if [ -s /etc/default/nodm ] && ! grep -q NODM_FIRST_VT /etc/default/nodm
-	then
-		cat <<EOF >> /etc/default/nodm
+	if [ -n "$2" ] && dpkg --compare-versions "$2" lt "0.2"; then
+		# Before version 0.2, nodm was only used on the OpenMoko.  To
+		# guarantee a smooth upgrade, we can safely override debconf here
+		# using the openmoko parameters.
+		db_set nodm/enabled true
+		db_set nodm/first_vt "3"
+		db_set nodm/x_options "-nolisten tcp"
+	fi
+	if [ -n "$2" ] && dpkg --compare-versions "$2" lt "0.5"; then
+		# Add the NODM_FIRST_VT entry to the config file if it is missing
+		if [ -s /etc/default/nodm ] && ! grep -q NODM_FIRST_VT /etc/default/nodm
+		then
+			cat <<EOF >> /etc/default/nodm
 
 # First vt to try when looking for free VTs
 NODM_FIRST_VT=7
 EOF
+		fi
 	fi
-    fi
-
-    # Update /etc/default/nodm
-    db_get nodm/enabled
-    NODM_ENABLED="$RET"
-    db_get nodm/user
-    NODM_USER="$RET"
-    db_get nodm/first_vt
-    NODM_FIRST_VT="$RET"
-    db_get nodm/x_options
-    NODM_X_OPTIONS="$RET"
-    db_get nodm/min_session_time
-    NODM_MIN_SESSION_TIME="$RET"
-    db_get nodm/xinit
-    NODM_XINIT="$RET"
-    db_get nodm/xsession
-    NODM_XSESSION="$RET"
-
-    if [ -s /etc/default/nodm ] ; then
-	    sed -i -r -e "s,^NODM_ENABLED=.*,NODM_ENABLED=$NODM_ENABLED," \
-		      -e "s,^NODM_USER=.*,NODM_USER=$NODM_USER," \
-		      -e "s,^NODM_FIRST_VT=.*,NODM_FIRST_VT='$NODM_FIRST_VT'," \
-		      -e "s,^NODM_X_OPTIONS=.*,NODM_X_OPTIONS='$NODM_X_OPTIONS'," \
-		      -e "s,^NODM_MIN_SESSION_TIME=.*,NODM_MIN_SESSION_TIME=$NODM_MIN_SESSION_TIME," \
-		      -e "s,^NODM_XINIT=.*,NODM_XINIT=$NODM_XINIT," \
-		      -e "s,^NODM_XSESSION=.*,NODM_XSESSION=$NODM_XSESSION," \
-		      /etc/default/nodm
-    else
-	    cat <<EOF > /etc/default/nodm
+
+	# Update /etc/default/nodm
+	db_get nodm/enabled
+	NODM_ENABLED="$RET"
+	db_get nodm/user
+	NODM_USER="$RET"
+	db_get nodm/first_vt
+	NODM_FIRST_VT="$RET"
+	db_get nodm/x_options
+	NODM_X_OPTIONS="$RET"
+	db_get nodm/min_session_time
+	NODM_MIN_SESSION_TIME="$RET"
+	db_get nodm/xinit
+	NODM_XINIT="$RET"
+	db_get nodm/xsession
+	NODM_XSESSION="$RET"
+
+	if [ -s /etc/default/nodm ] ; then
+		sed -i -r -e "s,^NODM_ENABLED=.*,NODM_ENABLED=$NODM_ENABLED," \
+			-e "s,^NODM_USER=.*,NODM_USER=$NODM_USER," \
+			-e "s,^NODM_FIRST_VT=.*,NODM_FIRST_VT='$NODM_FIRST_VT'," \
+			-e "s,^NODM_X_OPTIONS=.*,NODM_X_OPTIONS='$NODM_X_OPTIONS'," \
+			-e "s,^NODM_MIN_SESSION_TIME=.*,NODM_MIN_SESSION_TIME=$NODM_MIN_SESSION_TIME," \
+			-e "s,^NODM_XINIT=.*,NODM_XINIT=$NODM_XINIT," \
+			-e "s,^NODM_XSESSION=.*,NODM_XSESSION=$NODM_XSESSION," \
+			/etc/default/nodm
+	else
+		cat <<EOF > /etc/default/nodm
 # nodm configuration
 
 # Set NODM_ENABLED to something different than 'false' to enable nodm
@@ -77,9 +77,9 @@ NODM_X_OPTIONS='$NODM_X_OPTIONS'
 # increasing bit of time before restarting the session.
 NODM_MIN_SESSION_TIME=$NODM_MIN_SESSION_TIME
 EOF
-    fi
+	fi
 fi
-	
+
 #DEBHELPER#
 
 # tell debconf we are done. otherwise, it hangs waiting for the daemon.

-- 
Automatic Display Manager



More information about the pkg-fso-commits mailing list